Delete API Key
curl --request DELETE \
--url https://api.entityml.com/api/v1/keys/{key_id}import requests
url = "https://api.entityml.com/api/v1/keys/{key_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.entityml.com/api/v1/keys/{key_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}API Keys
Delete API Key
Deactivate an API key.
DELETE
/
api
/
v1
/
keys
/
{key_id}
Delete API Key
Request
This endpoint does not require a Bearer token. After deletion, the key will no longer appear in the active-key list.
Path Parameters
string
required
The ID of the API key to deactivate.
Query Parameters
string
required
The user ID that owns the key.
Response
boolean
Whether the key was deactivated successfully.
string
Confirmation message.
Example
from entityml import EntityMLClient
client = EntityMLClient()
deleted = client.api_keys.delete(key_id="YOUR_KEY_ID", user_id="YOUR_USER_ID")
print(deleted)
entityml api-keys delete \
--key-id YOUR_KEY_ID \
--user-id YOUR_USER_ID
curl -X DELETE "https://api.entityml.com/api/v1/keys/YOUR_KEY_ID?user_id=YOUR_USER_ID"
Example response
{
"success": true,
"message": "API key deactivated successfully"
}
⌘I